package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdContract;
import com.xmomen.module.base.entity.CdContractExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdContractMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdContractExample example);

    // 根据条件删除记录
    int deleteByExample(CdContractExample example);

    // 插入记录
    int insertSelective(CdContract record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdContract record, @Param("example") CdContractExample example);
}